# Search input

Home Search

## Search input

- Basics
- Options
- Methods
- Events

The text input plugin has the following options:

`initSelector` CSS selector string

  default: "input[type='text'], input[type='search'], :jqmData(type='search'), input[type='number'], :jqmData(type='number'), input[type='password'], input[type='email'], input[type='url'], input[type='tel'], textarea, input:not([type])"

  This is used to define the selectors (element types, data roles, etc.) that will automatically be initialized as textinputs. To change which elements are initialized, bind this option to the mobileinit event:

      $( document ).bind( "mobileinit", function(){
         $.mobile.textinput.prototype.options.initSelector = ".myInputs";
      });

`mini` boolean

  default: false

  Sets the size of the element to a more compact, mini version. This option is also exposed as a data attribute: `data-mini="true"`

      $('.selector').textinput({ mini: "true" });

`theme` string

  default: null, inherited from parent

  Sets the color scheme (swatch) for all instances of this widget. It accepts a single letter from a-z that maps to the swatches included in your theme. By default, it will inherit the same swatch color as it's parent container if not explicitly set. This option is also exposed as a data attribute: `data-theme="a"`

      $('.selector').textinput({ theme: "a" });

`clearSearchButtonText` string

  default: "clear text"

  Sets the text used for the button that clears the search input of text.

      $('.selector').textinput({ clearSearchButtonText: "custom value" });

### More in this section

- Form elements
- Form basics
- Form element gallery
- Mini form element gallery
- Text inputs
- Search input
- Slider
- Flip toggle switch
- Radio buttons
- Checkboxes
- Select menus
- Theming forms
- Native form elements
- Submitting forms